Subject: Leve 2 Escalations - Not getting any update
From: Pritish Nandi <[email-masked]>
To: "Sara Aknooni, SRAK" <[email-masked]>
Cc: "Heta Nyrhinen, HNYR" <[email-masked]>
Date: Wed, 11 Nov 2020 00:59:20 -0700 (MST)

Hi Sara, 

Just to bring this to your attention that lately, I have been reviewing and updating Enterprise tickets which are shared by the team members. 

However, for the ones which I have no answer or knowledge to, I escalate it to the Enterprise Group. But sometimes I get an update and sometimes not. Other team members have experienced the same and showed there 
dissatisfaction. 

I do understand that all level 2 colleagues have other projects to look at however, we need answers to the tickets we escalate. Otherwise, we would have to make the customer wait which will only make the situation worse. 

I would urge you to please look into this so that we can have answers and also feedback wherever required so that we can bridge this gap. 

Your help would be appreciated. 

Regards, 
Pritish Nandi